<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Edit Car</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css">
</head>
<body>
<div class="container my-5">
    <h2 class="mb-5">New Car</h2>
    <div class="row">
        <div class="col-md-6">
            <form action="#" th:action="@{/car/add}" th:object="${carDto}" method="post" enctype="multipart/form-data">
                <div class="row">
                    <div class="form-group col-md-6">
                        <label for="brand" class="col-form-label">brand</label>
                        <select class="form-control" th:field="*{brand}" id="brand">
                            <option th:each="brnd : ${brandValues}"
                                    th:value="${brnd}"
                                    th:text="${brnd}">
                            </option>
                        </select>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="model" class="col-form-label">Model</label>
                        <input type="text" th:field="*{model}" class="form-control" id="model" placeholder="Model">
                        <span th:if="${#fields.hasErrors('model')}" th:errors="*{model}" class="text-danger"></span>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="bodyType" class="col-form-label">Body Type</label>
                        <input type="text" th:field="*{bodyType}" class="form-control" id="bodyType" placeholder="Body Type">
                        <span th:if="${#fields.hasErrors('bodyType')}" th:errors="*{bodyType}" class="text-danger"></span>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="year" class="col-form-label">Year</label>
                        <input type="number" th:field="*{year}" class="form-control" id="year" placeholder="2022">
                        <span th:if="${#fields.hasErrors('year')}" th:errors="*{year}" class="text-danger"></span>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="color" class="col-form-label">Color</label>
                        <input type="text" th:field="*{color}" class="form-control" id="color" placeholder="Color">
                        <span th:if="${#fields.hasErrors('color')}" th:errors="*{color}" class="text-danger"></span>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="kilometers" class="col-form-label">Kilometers</label>
                        <input type="number" th:field="*{kilometers}" class="form-control" id="kilometers" placeholder="2022">
                        <span th:if="${#fields.hasErrors('kilometers')}" th:errors="*{kilometers}" class="text-danger"></span>
                    </div>

                    <div class="form-group col-md-6">
                        <label for="amountPerDay" class="col-form-label">Amount per day</label>
                        <input type="number" th:field="*{amountPerDay}" class="form-control" id="amountPerDay" placeholder="0">
                        <span th:if="${#fields.hasErrors('amountPerDay')}" th:errors="*{amountPerDay}" class="text-danger"></span>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="description" class="col-form-label">Description</label>
                        <input type="text" th:field="*{description}" class="form-control" id="description" placeholder="Description">
                        <span th:if="${#fields.hasErrors('description')}" th:errors="*{description}" class="text-danger"></span>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="status" class="col-form-label">status</label>
                        <select class="form-control" th:field="*{status}" id="status">
                            <option th:each="stat : ${statusValues}"
                                    th:value="${stat}"
                                    th:text="${stat}">
                            </option>
                        </select>
                    </div>

                    <div class="form-group col-md-6">
                        <label for="branch" class="col-form-label">Branch</label>
                        <select class="form-control" th:field="*{branchId}" id="branch">
                            <option th:each="branch : ${availableBranches}"
                                    th:value="${branch.id}"
                                    th:text="${branch.branchName}">
                            </option>
                        </select>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="file" class="col-form-label">Car Image</label>
                        <input  type="file" id="file" name="file" accept="image/jpeg">
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6 mt-5">
                        <input type="submit" class="btn btn-primary" value="Add car">
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6 mt-5">
                        <p><a th:href="@{/car/}" class="btn btn-primary btn-sm">Go Back</a></p>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
</body>
</html>
